<?php

namespace HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros;

use HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros\Registro0000;

class Registro9900 extends Registro0000 {

    private $_tpReg; //Tipo de registro que será totalizado no próximo campo
    private $_qtdReg; //Total de registros do tipo informado no campo anterior

    public function geraRegistro9900(){
        $this->_geraRegistro(self::REGISTRO_9900);
    }

    private function _geraRegistro($tpRegistro){
        // Ordem 1
        $this->atribuiDadoManad($tpRegistro);
        // Ordem 2
        $this->atribuiDadoManad($this->_tpReg);
        // Ordem 3
        $this->atribuiDadoManad($this->_qtdReg, true);
    }
    
    public function setTpReg($tpReg){
        $this->_tpReg = $tpReg;
    }
    public function setQtdReg($qtdReg){
        $this->_qtdReg = $qtdReg;
    }
}