<?php

namespace HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros;

use HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros\Registro0000;

class RegistroI001 extends Registro0000 {

    private $_indmov = 1; //Indicador de movimento. 0-Bloco com dados informados, 1-Bloco sem dados informados.

    public function geraRegistroI001(){
        $this->_geraRegistro(self::REGISTRO_I001);
    }

    private function _geraRegistro($tpRegistro){
        // Ordem 1
        $this->atribuiDadoManad($tpRegistro);
        // Ordem 2
        $this->atribuiDadoManad($this->_indmov, true);
    }
    
    public function setIndMov($indmov){
        $this->_indmov = $indmov;
    }
}